Gentoo Archives: gentoo-commits

From: Rick Farina <zerochaos@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/lorcon/
Date: Fri, 14 Feb 2020 19:40:56
Message-Id: 1581709226.b6bdaf21bdc13cf857390684db076540b1fca0ae.zerochaos@gentoo
commit:     b6bdaf21bdc13cf857390684db076540b1fca0ae
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 19:31:56 2020 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 19:40:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6bdaf21

net-wireless/lorcon: python3

Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 net-wireless/lorcon/Manifest                        |  1 +
 ...rcon-9999.ebuild => lorcon-0.0_p20200214.ebuild} | 21 ++++++---------------
 net-wireless/lorcon/lorcon-9999.ebuild              | 21 ++++++---------------
 3 files changed, 13 insertions(+), 30 deletions(-)

diff --git a/net-wireless/lorcon/Manifest b/net-wireless/lorcon/Manifest
index 9b556bcf187..c781f71b031 100644
--- a/net-wireless/lorcon/Manifest
+++ b/net-wireless/lorcon/Manifest
@@ -1,2 +1,3 @@
 DIST lorcon-0.0_p20150109.tar.xz 259788 BLAKE2B e3bd188642f7ef49fa3b7361bd659fdd47d6449598b5248412ad3d8e85e5d0b9c0f8d73fdcd3d0822f19a0d069bf0eeb832bed7bb38c418970d617c03387d1ce SHA512 acbd88477317475ca8555d579a1483ea5e5d9eac0f86ef7bde2592e007025070ca56c6cd43e814560e28165ac7b40bd86f2703a466faeca1619b8373dc2b625b
 DIST lorcon-0.0_p20180409.tar.gz 506177 BLAKE2B d4bea3e91ce506c6ba56221b4fc2e25ffd5ba979b905e66166c570adefc513ca51229fab5706276dbbd1bea68ee2c2802adf4eeefb1e5f0c593fada6cb39ab51 SHA512 7273b68fa4aa7418d9bab8b4651b93e315b9ea55657efa7d14ef444fda7e0e036267d319cda6676951e54b661391a77cc848778f859249a50847d33dac0b8ea9
+DIST lorcon-0.0_p20200214.tar.gz 506444 BLAKE2B 07faf66dad8acae5cd2c1ff60778a1c6a7116be449740d975dc79e0606c646cf2fd21f3b5752d8fc6d23848347ce3ff9e14e0068a8f929a0b35434af7fef7fda SHA512 794a973ccccdd2f214041373ecb1ac167698e4cdf23b69900ba9e589fd88bdb064105ceb6c23ebd1d499db83ad7f417e1cbc4cd26169f46636cee2eb4764e28a

diff --git a/net-wireless/lorcon/lorcon-9999.ebuild b/net-wireless/lorcon/lorcon-0.0_p20200214.ebuild
similarity index 68%
copy from net-wireless/lorcon/lorcon-9999.ebuild
copy to net-wireless/lorcon/lorcon-0.0_p20200214.ebuild
index d9ac3ecfbee..7e81f859671 100644
--- a/net-wireless/lorcon/lorcon-9999.ebuild
+++ b/net-wireless/lorcon/lorcon-0.0_p20200214.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7,8})
 DISTUTILS_OPTIONAL=1
 
 inherit distutils-r1
@@ -15,10 +15,9 @@ if [[ ${PV} == "9999" ]] ; then
 	#EGIT_REPO_URI="https://www.kismetwireless.net/lorcon.git"
 	EGIT_REPO_URI="https://github.com/kismetwireless/lorcon.git"
 	inherit git-r3
-	KEYWORDS=""
 	S="${WORKDIR}"/${P}
 else
-	GIT_HASH="d8637792f2e857f31849f29759c1022eb0518c83"
+	GIT_HASH="7dbf24ee6f7c277240c0fbd988b6902850577772"
 	SRC_URI="https://github.com/kismetwireless/lorcon/archive/${GIT_HASH}.tar.gz -> ${P}.tar.gz"
 	S="${WORKDIR}"/"${PN}-${GIT_HASH}"
 	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux"
@@ -35,6 +34,7 @@ DEPEND="
 RDEPEND="${DEPEND}"
 
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="test"
 
 src_unpack() {
 	if [[ ${PV} == "9999" ]] ; then
@@ -45,12 +45,6 @@ src_unpack() {
 }
 
 src_prepare() {
-	sed -i 's#<lorcon2/lorcon.h>#"../lorcon.h"#' pylorcon2/PyLorcon2.c
-	sed -i 's#<lorcon2/lorcon.h>#"../lorcon.h"#' pylorcon2/PyLorcon2.h
-	sed -i 's#<lorcon2/lorcon_packet.h>#"../lorcon_packet.h"#' pylorcon2/PyLorcon2.c
-	sed -i 's#<lorcon2/lorcon_packet.h>#"../lorcon_packet.h"#' pylorcon2/PyLorcon2.h
-	sed -i 's#<lorcon2/lorcon_multi.h>#"../lorcon_multi.h"#' pylorcon2/PyLorcon2.c
-	sed -i 's#<lorcon2/lorcon_multi.h>#"../lorcon_multi.h"#' pylorcon2/PyLorcon2.h
 	default
 	use python && distutils-r1_src_prepare
 }
@@ -74,8 +68,5 @@ src_install() {
 		cd pylorcon2 || die
 		distutils-r1_src_install
 	fi
-}
-
-src_test() {
-	:
+	find "${D}" -xtype f -name '*.la' -delete || die
 }

diff --git a/net-wireless/lorcon/lorcon-9999.ebuild b/net-wireless/lorcon/lorcon-9999.ebuild
index d9ac3ecfbee..7e81f859671 100644
--- a/net-wireless/lorcon/lorcon-9999.ebuild
+++ b/net-wireless/lorcon/lorcon-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7,8})
 DISTUTILS_OPTIONAL=1
 
 inherit distutils-r1
@@ -15,10 +15,9 @@ if [[ ${PV} == "9999" ]] ; then
 	#EGIT_REPO_URI="https://www.kismetwireless.net/lorcon.git"
 	EGIT_REPO_URI="https://github.com/kismetwireless/lorcon.git"
 	inherit git-r3
-	KEYWORDS=""
 	S="${WORKDIR}"/${P}
 else
-	GIT_HASH="d8637792f2e857f31849f29759c1022eb0518c83"
+	GIT_HASH="7dbf24ee6f7c277240c0fbd988b6902850577772"
 	SRC_URI="https://github.com/kismetwireless/lorcon/archive/${GIT_HASH}.tar.gz -> ${P}.tar.gz"
 	S="${WORKDIR}"/"${PN}-${GIT_HASH}"
 	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux"
@@ -35,6 +34,7 @@ DEPEND="
 RDEPEND="${DEPEND}"
 
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="test"
 
 src_unpack() {
 	if [[ ${PV} == "9999" ]] ; then
@@ -45,12 +45,6 @@ src_unpack() {
 }
 
 src_prepare() {
-	sed -i 's#<lorcon2/lorcon.h>#"../lorcon.h"#' pylorcon2/PyLorcon2.c
-	sed -i 's#<lorcon2/lorcon.h>#"../lorcon.h"#' pylorcon2/PyLorcon2.h
-	sed -i 's#<lorcon2/lorcon_packet.h>#"../lorcon_packet.h"#' pylorcon2/PyLorcon2.c
-	sed -i 's#<lorcon2/lorcon_packet.h>#"../lorcon_packet.h"#' pylorcon2/PyLorcon2.h
-	sed -i 's#<lorcon2/lorcon_multi.h>#"../lorcon_multi.h"#' pylorcon2/PyLorcon2.c
-	sed -i 's#<lorcon2/lorcon_multi.h>#"../lorcon_multi.h"#' pylorcon2/PyLorcon2.h
 	default
 	use python && distutils-r1_src_prepare
 }
@@ -74,8 +68,5 @@ src_install() {
 		cd pylorcon2 || die
 		distutils-r1_src_install
 	fi
-}
-
-src_test() {
-	:
+	find "${D}" -xtype f -name '*.la' -delete || die
 }